Bug 910391 - review request: gnome-mahjongg
review request: gnome-mahjongg
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Yanko Kaneti
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-12 09:28 EST by Matthias Clasen
Modified: 2013-03-27 08:50 EDT (History)
5 users (show)

See Also:
Fixed In Version: gnome-mahjongg-3.8.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-27 08:50:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
yaneti: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2013-02-12 09:28:37 EST
gnome-games has been broken up into individual modules upstream. We already had this split in our gnome-games package, but it is cleaner to have individual packages for each tarball. Here's the first one:

Spec: http://mclasen.fedorapeople.org/gnome-mahjongg.spec
SRPM: http://mclasen.fedorapeople.org/gnome-mahjongg-3.7.5-1.fc19.src.rpm
Description:
Mahjongg is a simple pattern recognition game. You score points by
matching identical tiles.
Comment 1 Yanko Kaneti 2013-02-13 03:28:34 EST
The documentation license for mahjongg is actually CC-BY-SA so you have to:

-License:        GPLv2+ and GFDL
+License:        GPLv2+ and CC-BY-SA

Otherwise the source matches, package builds in mock, game works, rpmlint only says:

gnome-mahjongg.x86_64: E: incorrect-fsf-address /usr/share/doc/gnome-mahjongg-3.7.5/COPYING

Which I'll add to your upstream report about licensing.
https://bugzilla.gnome.org/show_bug.cgi?id=693495

APPROVED
I'll pester you later if you don't change the license before committing.
Comment 2 Kalev Lember 2013-03-23 09:31:46 EDT
Thanks for the review, Yanko!

New Package SCM Request
=======================
Package Name: gnome-mahjongg
Short Description: GNOME Mahjongg game
Owners: mclasen
Branches: f19
InitialCC:
Comment 3 Jon Ciesla 2013-03-23 09:51:51 EDT
Done.
Comment 4 Kalev Lember 2013-03-27 08:50:12 EDT
I have imported the package and updated the documentation license.

Note You need to log in before you can comment on or make changes to this bug.